extends Node2D
class_name WestTowerBottom

@onready var ego: Node2D = $"../ego"

func _ready() -> void:
    pass

func _on_room_looked() -> void:
    pass

func _on_kq4_091_castle_dining_room_interacted() -> void:
    var target_scene = load("res://scenes/kq4_091_castle_dining_room/kq4_091_castle_dining_room.tscn")
    if target_scene:
        get_tree().change_scene_to_packed(target_scene)
